﻿---  1、变更的表名

--EXEC sp_rename 'old_table_name', 'new_table_name';
EXEC sp_rename 'CriterionNidus', 'CriterionNidusSystem';
EXEC sp_rename 'ReadingCriterionDictionary', 'ReadingSystemCriterionDictionary';


----  2、处理发布环境的表数据拆分

--会直接创建表 CriterionNidusSystem_copy
		--SELECT *
		--INTO CriterionNidusSystem_copy
		--FROM CriterionNidusSystem
		--WHERE IsSystemCriterion = 0;
		
--创建CriterionNidusTrial	 将数据迁移过来
SELECT *
INTO CriterionNidusTrial
FROM CriterionNidusSystem
WHERE IsSystemCriterion = 0;


SELECT *
INTO ReadingTrialCriterionDictionary
FROM ReadingSystemCriterionDictionary
WHERE IsSystemCriterion = 0;


-----  三、维护稽查数据
select Count(*) from DataInspection where EntityName='CriterionNidus' 
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Add'
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Update'
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Deleted'
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Add/IsTrial'
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Add/IsTrial/Auto'
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Update/IsTrial'
select Count(*) from DataInspection where EntityName='CriterionNidus' and Identification='CriterionNidus/Deleted/IsTrial'


select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary' 
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/QuestionType'
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/LesionType'
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/OncologyAssessType'
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/GlobalAssessType'   
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/QuestionType/IsTrial'
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/LesionType/IsTrial'
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/OncologyAssessType/IsTrial'
select Count(*) from DataInspection where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/GlobalAssessType/IsTrial'


--系统 CriterionNidusSystem
update DataInspection   SET Identification='CriterionNidusSystem/Add', EntityName='CriterionNidusSystem' where EntityName='CriterionNidus' and Identification='CriterionNidus/Add'
update  DataInspection  SET Identification='CriterionNidusSystem/Update' , EntityName='CriterionNidusSystem' where EntityName='CriterionNidus' and Identification='CriterionNidus/Update'
update DataInspection   SET Identification='CriterionNidusSystem/Deleted', EntityName='CriterionNidusSystem' where EntityName='CriterionNidus' and Identification='CriterionNidus/Deleted'

--项目 CriterionNidusTrial
update DataInspection  SET Identification='CriterionNidusTrial/Add' , EntityName='CriterionNidusTrial' where EntityName='CriterionNidus' and Identification='CriterionNidus/Add/IsTrial'
update DataInspection  SET Identification='CriterionNidusTrial/Add/Auto' , EntityName='CriterionNidusTrial' where EntityName='CriterionNidus' and Identification='CriterionNidus/Add/IsTrial/Auto'
update DataInspection  SET Identification='CriterionNidusTrial/Update' , EntityName='CriterionNidusTrial' where EntityName='CriterionNidus' and Identification='CriterionNidus/Update/IsTrial'
update DataInspection  SET Identification='CriterionNidusTrial/Deleted' , EntityName='CriterionNidusTrial' where EntityName='CriterionNidus' and Identification='CriterionNidus/Deleted/IsTrial'

--系统ReadingSystemCriterionDictionary
update DataInspection   SET Identification='ReadingSystemCriterionDictionary/Add/QuestionType',        EntityName='ReadingSystemCriterionDictionary' where EntityName='ReadingCriterionDictionary' and Identification='ReadingCriterionDictionary/Add/QuestionType'
update DataInspection  SET Identification='ReadingSystemCriterionDictionary/Add/LesionType' ,          EntityName='ReadingSystemCriterionDictionary' where EntityName='ReadingCriterionDictionary' and Identification='ReadingCriterionDictionary/Add/LesionType'
update DataInspection   SET Identification='ReadingSystemCriterionDictionary/Add/OncologyAssessType',  EntityName='ReadingSystemCriterionDictionary' where EntityName='ReadingCriterionDictionary' and Identification='ReadingCriterionDictionary/Add/OncologyAssessType'
update DataInspection   SET Identification='ReadingSystemCriterionDictionary/Add/GlobalAssessType',    EntityName='ReadingSystemCriterionDictionary' where EntityName='ReadingCriterionDictionary' and Identification='ReadingCriterionDictionary/Add/GlobalAssessType'   

--项目ReadingTrialCriterionDictionary
update DataInspection   SET Identification='ReadingTrialCriterionDictionary/Add/QuestionType', EntityName='ReadingTrialCriterionDictionary' where EntityName='ReadingCriterionDictionary'          and Identification='ReadingCriterionDictionary/Add/QuestionType/IsTrial'
update  DataInspection  SET Identification='ReadingTrialCriterionDictionary/Add/LesionType' ,  EntityName='ReadingTrialCriterionDictionary' where EntityName='ReadingCriterionDictionary'          and Identification='ReadingCriterionDictionary/Add/LesionType/IsTrial'
update DataInspection    SET Identification='ReadingTrialCriterionDictionary/Add/OncologyAssessType',  EntityName='ReadingTrialCriterionDictionary' where EntityName='ReadingCriterionDictionary'  and Identification='ReadingCriterionDictionary/Add/OncologyAssessType/IsTrial'
update DataInspection  SET Identification='ReadingTrialCriterionDictionary/Add/GlobalAssessType', EntityName='ReadingTrialCriterionDictionary' where EntityName='ReadingCriterionDictionary'         and Identification='ReadingCriterionDictionary/Add/GlobalAssessType/IsTrial'








