﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain.Share.Reading
{


    public enum UrgentType
    {
        NotUrget = 0,

        EnrollConfirm = 1,

        EnrollConfirmOtherNotUrgent=5,

        PDVProgressVisitOrGlobal = 2,

        PDVProgressJudge = 3,

        NormalUrgent = 4,



    }

    public enum AdditionalAssessmentType
    {
        //脑转移
        BrainMetastasis = 1,

        //TNM分期

        TNM = 2

    }

    /// <summary>
    /// 阅片脑转移推断结果
    /// </summary>
    public enum BrainMetastasisResult
    {

        /// <summary>
        /// 否
        /// </summary>
        No = 0,

        /// <summary>
        /// 是
        /// </summary>
        Yes = 1,

        /// <summary>
        /// 可能
        /// </summary>
        Maybe = 3,

        /// <summary>
        /// 未知
        /// </summary>
        Unknown = 4
    }
}
